Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I'm trying to add this unoficcial repository to my Ubuntu 12.04 machine (32 bits), in order to install a software called SLTV. According to the official site, the following lines should be used:

deb http://debian.holoscopio.com/sltv/ ./
deb-src http://debian.holoscopio.com/sltv/ ./

If I add manually these 2 lines to /etc/apt/sources.list (or to a new file in etc/apt/sources.list.d/) and then run apt-get update, I get an error message -- I'm not at work now, so I can't provide the exact error, but I can edit this post to include the message tomorrow.

I noticed the repository lines in the above example don't have the "main/stable/whatever" arguments. I'm not exactly sure what they mean. I'm guessing it's related to the distro release and to the machine architecture.

From what I see on other repositories and packages such as dropbox, the line deb http://linux.dropbox.com/ubuntu karmic main are a reference to the http://linux.dropbox.com/ubuntu/dists/karmic/main/ folder.

But on this particular repository of the first example, the Packages.gz file is on the sltv folder. I'm guessing this is the reason for the ./ in the repository line. And I'm guessing this being in the repository line is the reason for the error.

My questions are:

  1. Are my guesses wrong or correct?
  2. In either case, how to proceed?
share|improve this question

closed as too localized by Gilles, jasonwryan, derobert, Caleb, Chris Down Dec 6 '12 at 14:04

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
This question has been on askubuntu for a week with no votes and no answers, so I deleted it from there and re-asked it here. –  That Brazilian Guy Dec 2 '12 at 15:19
1  
With a trailing slash in the third column, apt looks for http://debian.holoscopio.com/sltv/./Release and so on, which is correct for this repository. Without a slash, apt looks for e.g. http://linux.dropbox.com/ubuntu/dists/karmic/Release. The repository works for me, by the way. Please copy-paste the error messages. –  Gilles Dec 2 '12 at 22:52
    
@Gilles sorry for taking your time. I tried the same proccess today and it worked fine. I don't know where I messed up previously. I'm so ashamed. –  That Brazilian Guy Dec 3 '12 at 14:59
    
@ruda.almeida Maybe there was just a transient network error, or similar. Please feel free to close the question. –  derobert Dec 3 '12 at 18:47
    
@derobert How do I properly close it? –  That Brazilian Guy Dec 3 '12 at 23:11
show 1 more comment

1 Answer 1

up vote 0 down vote accepted

I tried the same process now and it worked fine.

I can't figure out what was wrong before, but it was either a remote issue or some mistake by the user (me).

I have confirmed (and others confirm in comments), having ./ in a sources.list file is a valid syntax, at least in ubuntu 12.04.

share|improve this answer
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.